## hubzero-openldap 0.8.6

=== Makefile ===
# Copyright 2006-2009 by Purdue Research Foundation, West Lafayette, IN 47906.
# All rights reserved.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License, version 2.1 as published by the Free Software Foundation.

INSTDIR=$(DESTDIR)/usr/lib
ETCDIR=$(DESTDIR)/etc
OWNER=root
GROUP=root
WEBGROUP=www-data

clean:
	@true

install:
	install --owner $(OWNER) --group $(GROUP) --mode 0600 -d $(INSTDIR)/hubzero
	install --owner $(OWNER) --group $(GROUP) --mode 0600 -d $(INSTDIR)/hubzero/openldap
	install --owner $(OWNER) --group $(GROUP) --mode 0600 -D hub.schema $(ETCDIR)/ldap/schema/hub.schema
	install --owner $(OWNER) --group $(GROUP) --mode 0600 -D HUB-INIT-SLAPD.tmpl $(INSTDIR)/hubzero/openldap/HUB-INIT-SLAPD.tmpl

## hubzero-openldap 0.9.2

=== Makefile ===
# Copyright 2006-2009 by Purdue Research Foundation, West Lafayette, IN 47906.
# All rights reserved.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License, version 2.1 as published by the Free Software Foundation.

INSTDIR=$(DESTDIR)/usr/share
ETCDIR=$(DESTDIR)/etc
OWNER=root
GROUP=root
WEBGROUP=www-data

clean:
	@true

install:
	install --owner $(OWNER) --group $(GROUP) --mode 0755 -d $(INSTDIR)/hubzero-openldap
	install --owner $(OWNER) --group $(GROUP) --mode 0644 -D hub.schema $(ETCDIR)/ldap/schema/hub.schema
	install --owner $(OWNER) --group $(GROUP) --mode 0755 -D HUB-INIT-SLAPD.tmpl $(INSTDIR)/hubzero-openldap/HUB-INIT-SLAPD.tmpl
	install --owner $(OWNER) --group $(GROUP) --mode 0755 -D do-hz-openldap-install.tmpl $(INSTDIR)/hubzero-openldap/do-hz-openldap-install.tmpl

## hubzero-openldap 1.0.1

=== Makefile ===
# @package      hubzero-openldap
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2011 Purdue University. All rights reserved.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2010-2011 Purdue University
# All rights reserved.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of Purdue University.

USRSHAREDIR=$(DESTDIR)/usr/share
ETCDIR=$(DESTDIR)/etc
OWNER=root
GROUP=root

clean:
	@true

install:
	install --owner $(OWNER) --group $(GROUP) --mode 0755 -d $(USRSHAREDIR)/hubzero-openldap
	install --owner $(OWNER) --group $(GROUP) --mode 0644 -D hub.schema $(ETCDIR)/ldap/schema/hub.schema
	install --owner $(OWNER) --group $(GROUP) --mode 0755 -D HUB-INIT-SLAPD.tmpl $(USRSHAREDIR)/hubzero-openldap/HUB-INIT-SLAPD.tmpl
	install --owner $(OWNER) --group $(GROUP) --mode 0755 -D do-hz-openldap-install.tmpl $(USRSHAREDIR)/hubzero-openldap/do-hz-openldap-install.tmpl

## hubzero-openldap 1.1.0

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-openldap
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2011 Purdue University. All rights reserved.
+# @copyright    Copyright (c) 2010-2012 Purdue University. All rights reserved.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2011 Purdue University
+# Copyright (c) 2010-2012 Purdue University
 # All rights reserved.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
@@ -34,7 +34,6 @@
 	@true
 
 install:
-	install --owner $(OWNER) --group $(GROUP) --mode 0755 -d $(USRSHAREDIR)/hubzero-openldap
 	install --owner $(OWNER) --group $(GROUP) --mode 0644 -D hub.schema $(ETCDIR)/ldap/schema/hub.schema
-	install --owner $(OWNER) --group $(GROUP) --mode 0755 -D HUB-INIT-SLAPD.tmpl $(USRSHAREDIR)/hubzero-openldap/HUB-INIT-SLAPD.tmpl
-	install --owner $(OWNER) --group $(GROUP) --mode 0755 -D do-hz-openldap-install.tmpl $(USRSHAREDIR)/hubzero-openldap/do-hz-openldap-install.tmpl
+	install --owner $(OWNER) --group $(GROUP) --mode 0644 -D HUB-INIT-SLAPD.tmpl $(USRSHAREDIR)/hubzero-openldap/HUB-INIT-SLAPD.tmpl
+	install --owner $(OWNER) --group $(GROUP) --mode 0644 -D do-hz-openldap-install.tmpl $(USRSHAREDIR)/hubzero-openldap/do-hz-openldap-install.tmpl

## hubzero-openldap 1.1.3

=== Makefile ===
# @package      hubzero-openldap
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2012 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2010-2012 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.

USRBINDIR=$(DESTDIR)/usr/bin

default all build:
	@true

install:
	install --mode 0755 -D hzldap_init $(USRBINDIR)/hzldap_init

configure:
	@true

clean:
	@true

## hubzero-openldap 1.1.4

=== Makefile ===
--- 
+++ 
@@ -23,14 +23,14 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
-
+#
 USRBINDIR=$(DESTDIR)/usr/bin
 
 default all build:
 	@true
 
 install:
-	install --mode 0755 -D hzldap_init $(USRBINDIR)/hzldap_init
+	install --mode 0755 -D hzldapinit $(USRBINDIR)/hzldapinit
 
 configure:
 	@true

## hubzero-openldap 1.1.8

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 	@true
 
 install:
-	install --mode 0755 -D hzldapinit $(USRBINDIR)/hzldapinit
+	install --mode 0755 -D hzldap $(USRBINDIR)/hzldap
 
 configure:
 	@true

## hubzero-openldap 1.1.13

=== Makefile ===
--- 
+++ 
@@ -33,7 +33,14 @@
 	install --mode 0755 -D hzldap $(USRBINDIR)/hzldap
 
 configure:
-	@true
+	a2enmod authnz_ldap
+	if [ -x /etc/init.d/apache2 ]; then \
+		if [ -x /usr/sbin/invoke-rc.d ] ; then \
+			invoke-rc.d apache2 restart; \
+		else \
+			/etc/init.d/apache2 restart; \
+		fi \
+	fi
 
 clean:
 	@true

## hubzero-openldap 1.1.20

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # @package      hubzero-openldap
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2012 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2013 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
 # Copyright (c) 2010-2012 HUBzero Foundation, LLC.

## hubzero-openldap 1.2.1

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # @copyright    Copyright (c) 2010-2013 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2012 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2013 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #

## hubzero-openldap 1.3.1

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-openldap
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2013 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2013 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -24,15 +24,19 @@
 #
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #
-USRBINDIR=$(DESTDIR)/usr/bin
 
-default all build:
+USRBIN=$(DESTDIR)/usr/bin
+
+all:
 	@true
 
 install:
-	install --mode 0755 -D hzldap $(USRBINDIR)/hzldap
+	install --mode 0755 -D hzldap $(USRBIN)/hzldap
 
-configure:
+uninstall:
+	@true
+
+postinst:
 	a2enmod authnz_ldap
 	if [ -x /etc/init.d/apache2 ]; then \
 		if [ -x /usr/sbin/invoke-rc.d ] ; then \
@@ -44,4 +48,5 @@
 
 clean:
 	@true
-	
+
+.PHONY: all install uninstall postinst clean

## hubzero-openldap 2.0.0

=== Makefile ===
# @package      hubzero-openldap
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

USRBIN=$(DESTDIR)/usr/bin

all:
	@true

install:
	install --mode 0755 -D hzldap $(USRBIN)/hzldap

uninstall:
	@true

postinst:
	a2enmod authnz_ldap
	if [ -x /etc/init.d/apache2 ]; then \
		if [ -x /usr/sbin/invoke-rc.d ] ; then \
			invoke-rc.d apache2 restart; \
		else \
			/etc/init.d/apache2 restart; \
		fi \
	fi

clean:
	@true

.PHONY: all install uninstall postinst clean

## hubzero-openldap 2.0.1

=== Makefile ===
--- 
+++ 
@@ -42,9 +42,9 @@
 	a2enmod authnz_ldap
 	if [ -x /etc/init.d/apache2 ]; then \
 		if [ -x /usr/sbin/invoke-rc.d ] ; then \
-			invoke-rc.d apache2 restart; \
+			invoke-rc.d apache2 force-reload; \
 		else \
-			/etc/init.d/apache2 restart; \
+			/etc/init.d/apache2 force-reload; \
 		fi \
 	fi

## hubzero-openldap 2.1.9-1+deb7

=== debian/changelog ===
hubzero-openldap (2.1.9-1+deb7) unstable; urgency=low

  * version update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 22 Mar 2018 10:05:41 -0400

hubzero-openldap (2.1.8-1) unstable; urgency=low

  * hzldap: use correct object 
  * hzldap: use file descriptor and file object as required
  * hzldap: use os.open() instead of open() to get fd

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 16 Aug 2017 10:38:47 -0400

hubzero-openldap (2.1.7-1) unstable; urgency=low

  * fix typo in variable name

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 15 Aug 2017 10:29:17 -0400

hubzero-openldap (2.1.6-1) unstable; urgency=low

  * add support for ldap mdb backend

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 11 Aug 2017 11:05:04 -0400

hubzero-openldap (2.1.5-1) unstable; urgency=low

  * fix permissions on /etc/sssd/sssd.conf for rhel systems

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 04 Aug 2017 10:57:14 -0400

hubzero-openldap (2.1.4-1) unstable; urgency=low

  * handle some variations in rhel6 pam stack

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 28 Jul 2017 16:36:20 -0400

hubzero-openldap (2.1.3-1) unstable; urgency=low

  * explicitly make pam_unix sufficient in rhel6 pam stack

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 28 Jul 2017 15:55:51 -0400

hubzero-openldap (2.1.2-1) unstable; urgency=low

  * change order of more pam stacks

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 28 Jul 2017 14:01:17 -0400

hubzero-openldap (2.1.1-1) unstable; urgency=low

  * change order of pam stack

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 28 Jul 2017 12:03:15 -0400

hubzero-openldap (2.1.0-1) unstable; urgency=low

  * remove use of authconfig in rhel6 code path

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 26 Jul 2017 13:33:47 -0400

hubzero-openldap (2.0.1-1) unstable; urgency=low

  * fix syntax error in postinst change to reload rather than restart apache

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 10 Sep 2015 15:16:26 -0400

hubzero-openldap (2.0.0-1) unstable; urgency=low

  * update copyright, license, version

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 30 Aug 2015 12:45:00 -0400

hubzero-openldap (1.3.0-1) unstable; urgency=low

  * version bump for diego repo

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 29 Aug 2015 19:58:42 -0400

hubzero-openldap (1.2.3-2) unstable; urgency=low

  * add python2.7 as an alternate dependency to python-argparse 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 26 Sep 2014 19:30:38 -0400

hubzero-openldap (1.2.3-1) unstable; urgency=low

  * hzldap: improve CMS version checking
  * hzldap: squelch external command output we expect and don't care about

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 17 Sep 2014 16:14:27 -0400

hubzero-openldap (1.2.2-1) unstable; urgency=low

  * packaging update needs new version number

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 13 Sep 2014 19:19:38 -0400

hubzero-openldap (1.2.1-1) unstable; urgency=low

  * minor wording change in a status message

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 02 Sep 2013 16:14:57 -0400

hubzero-openldap (1.2.0-1) unstable; urgency=low

  * add joomla 2.5 tables support 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 22 Aug 2013 15:58:32 -0400

hubzero-openldap (1.1.20-1) unstable; urgency=low

  * added "hubzero.utilities.misc" in front of exShellCommand, the function was 
    removed from this file and into the hubzero-python library

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 31 Jul 2013 11:36:56 -0400

hubzero-openldap (1.1.19-1) unstable; urgency=low

  * hzldap syncgroup now defaults to delete orphans, add group members 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 11 Jul 2013 15:11:43 -0400

hubzero-openldap (1.1.18-1) unstable; urgency=low

  * syncuser implementation was moved to hubzero-python
  * hzldap syncusers use new syncusers api in hubzero-python

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 11 Jul 2013 14:42:23 -0400

hubzero-openldap (1.1.17-1) unstable; urgency=low

  * work on sync users and groups, particularly work on the purging of orphans 
    (in ldap but not in the database)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 10 Jul 2013 14:29:32 -0400

hubzero-openldap (1.1.16-1) unstable; urgency=low

  * add slapd dependency

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 02 Jul 2013 10:58:36 -0400

hubzero-openldap (1.1.15-1) unstable; urgency=low

  * replace ldap.open with ldap.initialize
  * clean up ldap sync functionality 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 21 Jun 2013 10:00:48 -0400

hubzero-openldap (1.1.14-1) unstable; urgency=low

  * use python2.6 explicitly so package works with wheezy
  * update file copyrights

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 18 Jun 2013 15:45:31 -0400

hubzero-openldap (1.1.13-1) unstable; urgency=low

  * change default perms for /etc/nsswitch.conf to 644 instead of 640
  * mods to support new db library
  * changed mySql references to mySqlConnection
  * finish up ldap sync groups and users
  * adding bulk ldap sync functions, first pass, still rough changes

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 23 Oct 2012 16:59:55 -0400

hubzero-openldap (1.1.12-1) unstable; urgency=low

  * added passwords to hubzero.secrets file 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 23 Sep 2012 11:31:03 -0400

hubzero-openldap (1.1.11-1) unstable; urgency=low

  * update secrets file

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 21 Sep 2012 11:35:48 -0400

hubzero-openldap (1.1.10-1) unstable; urgency=low

  * added /etc/nsswitch.conf generation, corrected spelling error

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 18 Sep 2012 19:31:16 -0400

hubzero-openldap (1.1.9-1) unstable; urgency=low

  * hzldap init: fix quoting of string


## hubzero-openldap 2.1.9-1+deb8

=== debian/changelog ===
hubzero-openldap (2.1.9-1+deb8) unstable; urgency=low

  * version update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 22 Mar 2018 10:05:41 -0400

=== debian/control ===
Source: hubzero-openldap
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.8.4
X-Python-Version: >= 2.6
Homepage: http://hubzero.org

Package: hubzero-openldap
Architecture: all
Depends: python (>=2.6), ${misc:Depends}, slapd, python-ldap, ldap-utils, hubzero-python, php5-ldap, nslcd, libpam-ldapd, libnss-ldapd, python-argparse (>=1.1)|python2.7
Description: HUBzero OpenLDAP support
 Support script for HUBzero OpenLDAP initialization and maintenance.

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-openldap
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-openldap install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i
	dh_installman -i
	#dh_python2 -i
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep 
#binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install

## hubzero-openldap 2.2.14-1+deb9

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,9 @@
 # @package      hubzero-openldap
 # @file         Makefile
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -24,7 +23,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 USRBIN=$(DESTDIR)/usr/bin

=== debian/changelog ===
hubzero-openldap (2.2.14-1+deb9) unstable; urgency=low

  * Add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 19 Aug 2020 11:56:42 -0700

hubzero-openldap (2.2.13-1) unstable; urgency=low

  * hzldap: refactor config file modification process
  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 28 Apr 2020 21:02:07 -0700

hubzero-openldap (2.2.12-1) unstable; urgency=low

  * hzldap: look for chkconfig in rhel6/rhel7 compatible path

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 10 Jan 2019 15:49:34 -0500

hubzero-openldap (2.2.11-1) unstable; urgency=low

  * hzldap: start/stop correct services in correct order at correct time

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 10 Jan 2019 15:01:10 -0500

hubzero-openldap (2.2.10-1) unstable; urgency=low

  * hzldap: turn off and disable nslcd on reboot when on redhat
  * hzldap: enable slapd on reboot when on redhat

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 10 Jan 2019 14:44:27 -0500

hubzero-openldap (2.2.9-1) unstable; urgency=low

  * hzldap: locate service command before attempting to use

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 07 Jun 2018 13:26:40 -0400

hubzero-openldap (2.2.8-1) unstable; urgency=low

  * hzldap: detect mostly empty initial debian slapd as empty

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 07 Jun 2018 13:01:55 -0400

hubzero-openldap (2.2.7-1) unstable; urgency=low

  * hzldap: fix syntax/usage errors in socket call

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 10 May 2018 11:17:48 -0400

hubzero-openldap (2.2.6-1) unstable; urgency=low

  * hzldap: save uri and basedn to hubzero.conf

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 10 May 2018 10:58:27 -0400

hubzero-openldap (2.2.5-1) unstable; urgency=low

  * make sure slapd is running before starting

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Mon, 16 Apr 2018 15:33:02 -0400

hubzero-openldap (2.2.4-1) unstable; urgency=low

  * compare against unquoted None value

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Mon, 16 Apr 2018 12:59:43 -0400

hubzero-openldap (2.2.3-1) unstable; urgency=low

  * define variable before use

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 04 Apr 2018 15:49:31 -0400

hubzero-openldap (2.2.2-1) unstable; urgency=low

  * store ldap secrets in hubzero.secrets

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 04 Apr 2018 15:38:02 -0400

hubzero-openldap (2.2.1-1) unstable; urgency=low

  * hzldap: add cosine and nis schemas if missing (RHEL7)
  * hzldap: add reset option to purge ldap data and config changes
  * hzldap: allow init option to re-run

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 03 Apr 2018 13:55:24 -0400

hubzero-openldap (2.2.0-1) unstable; urgency=low

  * packaging update

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 22 Mar 2018 16:10:14 -0400

hubzero-openldap (2.1.9-1) unstable; urgency=low

  * version update

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 22 Mar 2018 10:05:41 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: hubzero-openldap
 Section: misc
 Priority: optional
-Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
+Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
 Build-Depends: debhelper (>= 8.0.0)
 Standards-Version: 3.8.4
 X-Python-Version: >= 2.6

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,10 @@
 #
 # @package      hubzero-openldap
 # @file         rules
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -26,7 +25,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 # Uncomment this to turn on verbose mode.

## hubzero-openldap 2.2.15-1+deb9

=== debian/changelog ===
hubzero-openldap (2.2.15-1+deb9) unstable; urgency=low

  * fix php ldap dependency for Debian 9

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 19 Aug 2020 11:56:42 -0700

hubzero-openldap (2.2.14-1) unstable; urgency=low

  * Add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 19 Aug 2020 11:56:42 -0700

=== debian/control ===

Source: hubzero-openldap
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.8.4
X-Python-Version: >= 2.6
Homepage: http://hubzero.org

Package: hubzero-openldap
Architecture: all
Depends: python (>=2.6), ${misc:Depends}, slapd, python-ldap, ldap-utils, hubzero-python, nslcd, libpam-ldapd, libnss-ldapd, python-argparse (>=1.1)|python2.7    ,php-ldap 
Description: HUBzero OpenLDAP support
 Support script for HUBzero OpenLDAP initialization and maintenance.
